#####################
# Hardcode PLF build
%define build_plf 0
#####################

%{?_with_plf: %{expand: %%global build_plf 1}}

%if %{build_plf}
%define	extrarelsuffix	plf
%define	distsuffix	plf
%endif

%define	audacious_minver	3.7

Summary:	Audacious Media Player core plugins
Name:		audacious-plugins
Version:	3.7.2
Release:	1%{?extrarelsuffix}
Epoch:		5
License:	GPLv2+
Group:		Sound
Url:		http://audacious-media-player.org/
Source0:	http://distfiles.audacious-media-player.org/%{name}-%{version}.tar.bz2
#BuildRequires:	sidplay-devel
BuildRequires:	pkgconfig(alsa) >= 1.0.16
BuildRequires:	pkgconfig(audacious) >= 3.7
BuildRequires:	pkgconfig(bluez) >= 2.22
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(flac) >= 1.2.1
BuildRequires:	pkgconfig(fluidsynth) >= 1.0.6
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(glut)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(imlib2)
BuildRequires:	pkgconfig(jack) >= 1.9.7
BuildRequires:	pkgconfig(libavcodec) >= 53.40.0
BuildRequires:	pkgconfig(libbinio)
BuildRequires:	pkgconfig(libbs2b) >= 3.0.0
BuildRequires:	pkgconfig(libcddb) >= 1.2.1
BuildRequires:	pkgconfig(libcdio) >= 0.70
BuildRequires:	pkgconfig(libcue)
BuildRequires:	pkgconfig(libcurl) >= 7.9.7
BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	pkgconfig(liblircclient0)
BuildRequires:	pkgconfig(libmms) >= 0.3
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	pkgconfig(libmpg123) >= 1.12
BuildRequires:	pkgconfig(libmtp)
BuildRequires:	pkgconfig(libmusicbrainz)
BuildRequires:	pkgconfig(libnotify) >= 0.7
BuildRequires:	pkgconfig(libpulse) >= 0.9.5
BuildRequires:	pkgconfig(libsidplayfp) >= 1.0
BuildRequires:	pkgconfig(libsidplay2)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(neon) >= 0.27
BuildRequires:	pkgconfig(pangocairo)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Multimedia)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5OpenGL)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(shout)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(soxr)
BuildRequires:	pkgconfig(taglib)
BuildRequires:	pkgconfig(vorbis) >= 1.0
BuildRequires:	pkgconfig(wavpack) >= 4.31
BuildRequires:	pkgconfig(xcomposite)
BuildRequires:	pkgconfig(xrender)
%if %{build_plf}
BuildRequires:	lame-devel
BuildRequires:	libfaad2-static-devel
#gw ffmpeg plugin:
Provides:	audacious-musepack = %{version}
%endif
Requires:	audacious >= %{audacious_minver}
%rename		audacious-smb
%rename		audacious-fluidsynth

%description
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.
This contains the basic plugin distribution. Audacious is useless without
them.

%if %{build_plf}
This package is in Restricted repository as it violates some patents.
%endif

%files -f %{name}.lang
%doc COPYING
#dir %%{_libdir}/audacious/Input/amidi-plug/
#{_libdir}/audacious/Input/amidi-plug/ap-alsa.so
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Container
%{_libdir}/audacious/Container/asx.so
%{_libdir}/audacious/Container/asx3.so
%{_libdir}/audacious/Container/audpl.so
%{_libdir}/audacious/Container/cue.so
%{_libdir}/audacious/Container/m3u.so
%{_libdir}/audacious/Container/pls.so
%{_libdir}/audacious/Container/xspf.so
%dir %{_libdir}/audacious/Effect/
%{_libdir}/audacious/Effect/bs2b.so
%{_libdir}/audacious/Effect/compressor.so
%{_libdir}/audacious/Effect/crossfade.so
%{_libdir}/audacious/Effect/crystalizer.so
%{_libdir}/audacious/Effect/echo.so
%{_libdir}/audacious/Effect/ladspa.so
%{_libdir}/audacious/Effect/mixer.so
%{_libdir}/audacious/Effect/resample.so
%{_libdir}/audacious/Effect/silence-removal.so
%{_libdir}/audacious/Effect/sox-resampler.so
%{_libdir}/audacious/Effect/speed-pitch.so
%{_libdir}/audacious/Effect/stereo.so
%{_libdir}/audacious/Effect/voice_removal.so
%dir %{_libdir}/audacious/General
%{_libdir}/audacious/General/alarm.so
%{_libdir}/audacious/General/albumart.so
%{_libdir}/audacious/General/albumart-qt.so
%{_libdir}/audacious/General/aosd.so
#%%{_libdir}/audacious/General/bluetooth.so
%{_libdir}/audacious/General/cd-menu-items.so
%{_libdir}/audacious/General/delete-files.so
#{_libdir}/audacious/General/gnomeshortcuts.so
%{_libdir}/audacious/General/gtkui.so
%{_libdir}/audacious/General/hotkey.so
%{_libdir}/audacious/General/lirc.so
%{_libdir}/audacious/General/lyricwiki.so
%{_libdir}/audacious/General/lyricwiki-qt.so
%{_libdir}/audacious/General/mpris2.so
%{_libdir}/audacious/General/notify.so
%{_libdir}/audacious/General/playlist-manager.so
%{_libdir}/audacious/General/playlist-manager-qt.so
%{_libdir}/audacious/General/qtui.so
%{_libdir}/audacious/General/scrobbler.so
%{_libdir}/audacious/General/search-tool.so
%{_libdir}/audacious/General/search-tool-qt.so
%{_libdir}/audacious/General/skins.so
%{_libdir}/audacious/General/skins-qt.so
%{_libdir}/audacious/General/song-info-qt.so
%{_libdir}/audacious/General/statusicon.so
%{_libdir}/audacious/General/statusicon-qt.so
%{_libdir}/audacious/General/song_change.so
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/ffaudio.so
%{_libdir}/audacious/Input/amidi-plug.so
%{_libdir}/audacious/Input/cdaudio-ng.so
%{_libdir}/audacious/Input/console.so
%{_libdir}/audacious/Input/flacng.so
%{_libdir}/audacious/Input/madplug.so
%{_libdir}/audacious/Input/metronom.so
%{_libdir}/audacious/Input/modplug.so
%{_libdir}/audacious/Input/psf2.so
%{_libdir}/audacious/Input/sndfile.so
%{_libdir}/audacious/Input/tonegen.so
%ifarch %{ix86} x86_64
#%%{_libdir}/audacious/Input/usf.so
%endif
%{_libdir}/audacious/Input/vorbis.so
%{_libdir}/audacious/Input/vtx.so
%{_libdir}/audacious/Input/xsf.so
%if %{build_plf}
#{_libdir}/audacious/Input/aac.so
%{_libdir}/audacious/Input/aac-raw.so
%endif
%dir %{_libdir}/audacious/Output
%{_libdir}/audacious/Output/alsa.so
%{_libdir}/audacious/Output/filewriter.so
%{_libdir}/audacious/Output/oss4.so
%{_libdir}/audacious/Output/qtaudio.so
%{_libdir}/audacious/Output/sdlout.so
%dir %{_libdir}/audacious/Transport/
%{_libdir}/audacious/Transport/gio.so
%{_libdir}/audacious/Transport/mms.so
%{_libdir}/audacious/Transport/neon.so
#{_libdir}/audacious/Transport/unix-io.so
%dir %{_libdir}/audacious/Visualization
%{_libdir}/audacious/Visualization/blur_scope.so
%{_libdir}/audacious/Visualization/cairo-spectrum.so
%{_libdir}/audacious/Visualization/gl-spectrum.so
%{_libdir}/audacious/Visualization/gl-spectrum-qt.so
%{_datadir}/audacious

#-----------------------------------------------------------------------------

%package  -n audacious-wavpack
Group:		Sound
Summary:	Wavpack input plugin for Audacious
Requires:	audacious >= %{audacious_minver}

%description  -n audacious-wavpack
This is a wavpack input plugin for Audacious based on libwavpack.

%files  -n audacious-wavpack
%doc COPYING
%{_libdir}/audacious/Input/wavpack.so

#-----------------------------------------------------------------------------

%package  -n audacious-jack
Group:		Sound
Summary:	Audacious output plugin for the jack sound server
Requires:	audacious >= %{audacious_minver}

%description  -n audacious-jack
Audacious audio output plugin for the jack audio server.

%files  -n audacious-jack
%doc COPYING
%{_libdir}/audacious/Output/jack-ng.so

#-----------------------------------------------------------------------------

%package  -n audacious-pulse
Group:		Sound
Summary:	Audacious output plugin for the Pulseaudio sound server
Requires:	audacious >= %{audacious_minver}

%description  -n audacious-pulse
Audacious audio output plugin for the pulseaudio
server.

%files  -n audacious-pulse
%doc COPYING
%{_libdir}/audacious/Output/pulse_audio.so

#-----------------------------------------------------------------------------

%package  -n audacious-adplug
Summary:	AdLib player plugin for audacious
Group:		Sound
Requires:	audacious >= %{audacious_minver}

%description  -n audacious-adplug
AdPlug is an Audacious input plugin It uses the AdPlug AdLib sound
player library to play back a wide range of AdLib (OPL2) music file
formats on top of an OPL2 emulator.  No OPL2 chip is required for
playback.

%files  -n audacious-adplug
%doc COPYING
%{_libdir}/audacious/Input/adplug.so

#-----------------------------------------------------------------------------
# 3.7.1: There is no more a fluidsynth input plugin, since it is now integrated
# in the amidi-plug.so one: kill the package.

#package  -n audacious-fluidsynth
#Summary:	Fluidsynth MIDI plugin for audacious
#Group:		Sound
#Requires:	audacious >= %%{audacious_minver}

#description  -n audacious-fluidsynth
#FluidSynth is a real-time software synthesizer based on the SoundFont 2
#specifications. It is a "software synthesizer". FluidSynth can read MIDI
#events from the MIDI input device and render them to the audio device.
#This is a fluidsynth backend for the Audacious Media Player to support the
#playback of MIDI files with the fluidsynth engine.

#files  -n audacious-fluidsynth
#doc COPYING
#{_libdir}/audacious/Input/amidi-plug/ap-fluidsynth.so

#-----------------------------------------------------------------------------

%package  -n audacious-sid
Summary:	Audacious input plugin for C64 SID files
Group:		Sound
Requires:	audacious >= %{audacious_minver}

%description  -n audacious-sid
Audacious-SID is a plugin for the Audacious Media Player which provides
support for playing the so-called "SID tunes", which are music
from old Commodore computer programs like games, demos, etc.

For the actual playing, it uses the excellent libsidplay (1|2)
emulator engine that emulates 6510 CPU and 6581/8580 Sound Interface
Device (SID) chip.

%files  -n audacious-sid
%doc COPYING
%{_libdir}/audacious/Input/sid.so

#-----------------------------------------------------------------------------
# 3.7.1: There is no more a smb transport plugin and the option --enable-smb is
# now unrecognized by configure: kill the package.

#package -n audacious-smb
#Summary:	SMB/CIFS file system plugin for the Audacious media player
#Group:		Sound
#Requires:	audacious >= %%{audacious_minver}
#BuildRequires:	pkgconfig(smbclient)

#description -n audacious-smb
#This plugin allows Audacious to play content from a Samba or Windows network
#file system.

#files -n audacious-smb
#doc COPYING
#{_libdir}/audacious/Transport/smb.so

#-----------------------------------------------------------------------------

%prep
%setup -q
#apply_patches


%build
export LDFLAGS="-lm"
%configure2_5x	--enable-amidiplug \
		--enable-gtk \
		--enable-qt \
   %if %{build_plf}
        --enable-aac \
   %else
        --disable-aac \
   %endif
	--disable-rpath

%make


%install
%makeinstall_std

%if ! %{build_plf}
rm -fv %{buildroot}%{_libdir}/audacious/Input/aac-raw.so
%endif

%find_lang %{name}


%changelog

* Sun Apr 17 2016 gvm <mc2374@mclink.it> 5:3.7.2-1
- (d912574) Fixed file lists.


